Show / Hide Table of Contents

# Struct ChannelInfo

Represents information for a channel.

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: Discord.Rest

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public struct ChannelInfo

### Properties

| Improve this Doc View Source

#### Bitrate

Gets the bit-rate of this channel if applicable.

##### Declaration

    public int? Bitrate { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> | An representing the bit-rate set for the voice channel; `null` if this is not mentioned in this entry.

| Improve this Doc View Source

#### IsNsfw

Gets the value that indicates whether this channel is NSFW.

##### Declaration

    public bool? IsNsfw { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Boolean> | `true` if this channel has the NSFW flag enabled; otherwise `false`. `null` if this is not mentioned in this entry.

| Improve this Doc View Source

#### Name

Gets the name of this channel.

##### Declaration

    public string Name { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string containing the name of this channel.

| Improve this Doc View Source

#### SlowModeInterval

Gets the current slow-mode delay of this channel.

##### Declaration

    public int? SlowModeInterval { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> | An representing the time in seconds required before the user can send another message; `0` if disabled. `null` if this is not mentioned in this entry.

| Improve this Doc View Source

#### Topic

Gets the topic of this channel.

##### Declaration

    public string Topic { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string containing the topic of this channel, if any.